Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxOperationInfoManager

    java.lang.Object
      groovy.jmx.builder.JmxOperationInfoManager

    class JmxOperationInfoManager
    extends Object

This class is responsible for assembling JMX Operation Info from the meta map. It cycles through the provided meta map from the bean() node and generate JMX Info objects used to expose information in the MBeanServer.

Authors:
  Vladimir Vivien

See Also:
  JmxMetaMapBuilder

Method Summary
`static List` | `buildParamInfosFromMaps(Map metaMap)` Build an array of MBeanParameterInfo from the operation's meta map.
`static ModelMBeanOperationInfo` | `createGetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for getter operation specified by the MetaProperty.
`static ModelMBeanOperationInfo` | `createSetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for setter operation specified by the MetaProperty.
`static ModelMBeanConstructorInfo` | `getConstructorInfoFromMap(Map map)` This method extracts ModelMBeanConstructorInfo from provided meta map.
`static List` | `getConstructorInfosFromMap(Map metaMap)` This method extracts an array of MBeanConstructorInfo from a list of meta maps.
`static ModelMBeanOperationInfo` | `getOperationInfoFromMap(Map map)` Generates a ModelMBeanOperationInfo object from a meta map provided.
`static List` | `getOperationInfosFromMap(Map metaMap)` This method extracts an array of MBeanOperationInfo from a list of meta maps.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### buildParamInfosFromMaps

    static List buildParamInfosFromMaps(Map metaMap)

  Build an array of MBeanParameterInfo from the operation's meta map.
  Parameters:
    `the` - meta map containing the param info
  Returns:
    an array of JMX MBeanParameterInfo

### createGetterOperationInfoFromProperty

    static ModelMBeanOperationInfo createGetterOperationInfoFromProperty(MetaProperty prop)

  Returns a MBean operation info for getter operation specified by the MetaProperty. Since no meta map is provided, this method will generate all default descriptor values to describe the operation.
  Parameters:
    `prop` - - the property object on the POGO/POJO that represents a getter
  Returns:
    a ModelMBeanOperation info built

### createSetterOperationInfoFromProperty

    static ModelMBeanOperationInfo createSetterOperationInfoFromProperty(MetaProperty prop)

  Returns a MBean operation info for setter operation specified by the MetaProperty. Since no meta data is provided, this method will generate all default descriptor values to describe operation.
  Parameters:
    `prop` - - the property object on the POGO/POJO that represents a setter
  Returns:
    a ModelMBeanOperation info built

### getConstructorInfoFromMap

    static ModelMBeanConstructorInfo getConstructorInfoFromMap(Map map)

  This method extracts ModelMBeanConstructorInfo from provided meta map. It also iterates over any parameters and builds the necessary MBeanParameterInfo array.
  Parameters:
    `meta` - map containing descriptor information
  Returns:
    the fully realized ModelMBeanConstructorInfo for the provided constructor reference.

### getConstructorInfosFromMap

    static List getConstructorInfosFromMap(Map metaMap)

  This method extracts an array of MBeanConstructorInfo from a list of meta maps.
  Parameters:
    `list` - of meta maps
  Returns:
    array of ModelMBeanConstructorInfo

### getOperationInfoFromMap

    static ModelMBeanOperationInfo getOperationInfoFromMap(Map map)

  Generates a ModelMBeanOperationInfo object from a meta map provided.
  Parameters:
    `the` - meta map for the method
  Returns:
    the generated ModelMBeanOprationInfo

### getOperationInfosFromMap

    static List getOperationInfosFromMap(Map metaMap)

  This method extracts an array of MBeanOperationInfo from a list of meta maps.
  Parameters:
    `list` - of meta maps
  Returns:
    array of ModelMBeanOperationInfo

Copyright © 2003-2010 The Codehaus. All rights reserved.